### Constructor

# Aravis Buffer new_allocate

since: 0.2.3

#### Declaration [src]

    ArvBuffer*
    arv_buffer_new_allocate (
      size_t size
    )

#### Description [src]

Creates a new buffer for the storage of the video stream images. The data space is allocated by this function, and will be freed when the buffer is destroyed.

Available since: 0.2.3

#### Parameters

`size`

  Type: `size_t`

  Payload size.

#### Return value

Type: `ArvBuffer`

A new `ArvBuffer` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.